//******************************************************************************
//*   Copyright (C) 2011 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Normalize alpha beta values.
// Code tested on SCILAB ver 5.3.2.
//******************************************************************************
function[My_Alpha,My_Beta]=Normalize_Alpha_Beta(My_Alpha,My_Beta,time)
//******************************************************************************
// suma=0.0;
// sumb=0.0;
// for state=1:NUM_STATES
//  suma=suma+my_alpha(state,time+1);
//  sumb=sumb+my_beta(state,OFDM_SIZE+1-time);
// end
// for state=1:NUM_STATES
//  my_alpha(state,time+1)=my_alpha(state,time+1)/suma;
//  my_beta(state,OFDM_SIZE+1-time)=my_beta(state,OFDM_SIZE+1-time)/sumb;
// end
//******************************************************************************
 suma=sum(My_Alpha(:,time+1));
 sumb=sum(My_Beta(:,OFDM_SIZE+1-time));
 My_Alpha(:,time+1)=My_Alpha(:,time+1)/suma;
 My_Beta(:,OFDM_SIZE+1-time)=My_Beta(:,OFDM_SIZE+1-time)/sumb;
endfunction
