//******************************************************************************
//*   Copyright (C) 2011 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Get alpha and beta for decoder 1 at a particular time instant.
// Code tested on SCILAB ver 5.3.2.
//******************************************************************************
function[New_Op]=Get_AB_Dec1(time,Old_Ip)
 New_Op(1:NUM_STATES)=Old_Ip(P_State(:,1)).* ...
 My_Gamma1(Ga_Inx(:,1),time).* ...
 Prob(P_Ip(:,1),time)+ ...
 Old_Ip(P_State(:,2)).* ...
 My_Gamma1(Ga_Inx(:,2),time).* ...
 Prob(P_Ip(:,2),time);
 New_Op(NUM_STATES+1:2*NUM_STATES)=Old_Ip(NUM_STATES+N_State(:,1)).* ...
 My_Gamma1(Gb_Inx(:,1),OFDM_SIZE+1-time)* ...
 Prob(1,OFDM_SIZE+1-time)+ ...
 Old_Ip(NUM_STATES+N_State(:,2)).* ...
 My_Gamma1(Gb_Inx(:,2),OFDM_SIZE+1-time)* ...
 Prob(2,OFDM_SIZE+1-time);
//******************************************************************************
//  [my_alpha,my_beta]=Normalize_Alpha_Beta(my_alpha,my_beta,time);
//******************************************************************************
 suma=sum(New_Op(1:NUM_STATES));
 sumb=sum(New_Op(NUM_STATES+1:2*NUM_STATES));
 New_Op(1:NUM_STATES)=New_Op(1:NUM_STATES)/suma;
 New_Op(NUM_STATES+1:2*NUM_STATES)=New_Op(NUM_STATES+1:2*NUM_STATES)/sumb;
endfunction
